(72 votes)

GUI API for Minecraft 1.7.4 / 1.7.2 / 1.6.4 & 1.5.2

Download Page for GUI API


Additional Videos:



What Is GUI API?

GuiAPI, or Graphical User Interface API, is a powerful advanced GUI toolkit that makes it easier for Minecraft modders to create their own menus and settings. While GuiAPI doesn’t change gameplay on its own, as a core mod, you can’t use most mods unless you’ve installed it.

What Is A Core Mod?

A core mod is a collection of files that some mods rely on and can’t function without. Core mods are not isolated to the world of Minecraft. Most games that support modding have several core mods available that can do anything from changing the way a game looks to revamping essential gameplay features.

Will Core Mods Hurt My Game?

Since core mods are usually complex, it’s essential to install them correctly and exercise caution when using them. Backing up your save files before using a core mod is always recommended. Always remember to keep your core mods updated as they will only work for the patch they were built for. Sometimes, that means waiting to update your game until the core mod is updated. User-created mods are generally behind when it comes to keeping up with official updates. As long as you remember to pay attention to your updates and create back-ups of your save files every time you install a new mod, a core mod won’t hurt your game.

GuiAPI’s Role In The World Of Minecraft Mods

Since many modders use GuiAPI as a foundation for their mod’s settings, their mods won’t work if you don’t have GuiAPI installed. Creating a mod isn’t nearly as easy without the assistance of GuiAPI, so it stands to reason that many modders choose to use it. Since GuiAPI makes modding easier by adding plenty of easily configurable options for mods, modders can work more efficiently and release their work earlier than they could if they had to create everything from scratch.

How GuiAPI Helps Modders

Creating a mod is no easy feat and can be a daunting task even for the most seasoned modders. There are several toolkits available to make modding easier and a bit more user-friendly. GuiAPI is among the most commonly-used toolkits due to its role in some of the most popular mods around, excellent support from its developer, and its compatibility with other essential toolkits most modders can’t imagine working without.

The Future Of GuiAPI

While GuiAPI might eventually be developed by other modders, GuiAPI will likely remain a permanent staple in the long list of tools available to make modding easier.



How to download & install:

  1. Download and Install Minecraft Forge
  2. Download the GUI API for Minecraft
  3. Drag all the contents from the extracted file into the minecraft.jar
  4. Delete META INF
  5. That should do I hope.



Related posts:

  1. Everlasting Tools Mod
  2. Lava Monsters Mod
  3. Pig Grinder Mod
  4. CJB Cheats Mod
  5. Ores Drop Mores 2 Mod

Related Links:

Download Page for GUI API
  • http://www.facebook.com/MatryoshkaPandaHero Kagamine Nyan Len

    hi could you plz put the download up thanx

  • mine craft nark

    can u put up mod thanks

  • Rin Kagamine

    Can you make the downloading easier. Whenever I download the slow version, I never find the download.

  • ima_kitty_cat

    can you update this for 1.4.7 pleeze

  • im_a_cool_man_and_great

    error my minecraft,Im was want use the spawner and then when im active spawner,crashs my minecraft help

  • /C

    Is this compatible with 1.5 yet? I’ve tried using it but it won’t work. Just want to check and see if it’s me or the mod.

  • soveryconfused

    in 1.6.2 there isn’t a minecraft.jar… there is a ‘versions’folder and a ’1.6.2′ jar file but when i install forge it runs off of a totally different jar file… ’1.6.2-Forge9.x.x.x’ jar file… but when i put everything in there the game wont run…

    • The man behind your house…

      Look up “SCMowns How to install mods 1.6x”

  • Mikeysnake2

    You make a folder in your .minecraft called mods and put all mods in there.

  • mcRebe

    full ack @82dd43b314e5d21199423c7ef67c10a4:disqus ! the guiapi-0.15.6 is NOT compatible with mc1.6.2 (or forge 9.10.0.800, dunno)!

  • LovelyAbbyRose

    Is this compatible with 1.6.4?